using GestionIntegral.Api.Models.Suscripciones;
using System.Data;

namespace GestionIntegral.Api.Data.Repositories.Suscripciones
{
    public interface IPagoRepository
    {
        Task<IEnumerable<Pago>> GetByFacturaIdAsync(int idFactura);
        Task<Pago?> CreateAsync(Pago nuevoPago, IDbTransaction transaction);
        Task<decimal> GetTotalPagadoAprobadoAsync(int idFactura, IDbTransaction transaction);
    }
}